Method: projects.locations.dataStores.get

DataStore을 가져옵니다.

HTTP 요청

GET https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/dataStores/*}

URL은 gRPC 트랜스코딩 문법을 사용합니다.

경로 매개변수

매개변수
name

string

필수 항목. DataStore의 전체 리소스 이름입니다(예: projects/{project}/locations/{location}/collections/{collectionId}/dataStores/{dataStoreId}).

호출자에게 DataStore에 액세스할 수 있는 권한이 없으면 존재 여부와 관계없이 PERMISSION_DENIED 오류가 반환됩니다.

요청된 DataStore가 없으면 NOT_FOUND 오류가 반환됩니다.

쿼리 파라미터

파라미터
view

enum (DataStoreView)

선택사항입니다. 반환된 DataStore에 적용할 뷰입니다. 지정되지 않은 경우 기본값은 DataStoreView.DATA_STORE_VIEW_BASIC입니다.

DataStoreView.DATA_STORE_VIEW_FULL은 커넥터 지원 데이터 스토어의 DataStore.icon_uri도 채웁니다. 커넥터 아이콘을 확인하려면 추가 조회가 필요하므로 호출자가 아이콘을 렌더링할 때만 요청하세요.

요청 본문

요청 본문은 비어 있어야 합니다.

응답 본문

성공한 경우 응답 본문에 DataStore의 인스턴스가 포함됩니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

자세한 내용은 Authentication Overview에서 확인하세요.

IAM 권한

name 리소스에 대해서는 다음 IAM 권한이 필요합니다.

  • discoveryengine.dataStores.get

자세한 내용은 IAM 문서를 참조하세요.